Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jm.util
Class GridBagConstraints2

    java.lang.Object
      |
      +--java.awt.GridBagConstraints
            |
            +--jm.util.GridBagConstraints2

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class GridBagConstraints2
extends java.awt.GridBagConstraints
implements java.io.Serializable

Diese Klasse implementiert einen alternativen Konstruktor fuer `GridBagConstraints`. Dieser ist ab Java 1.2 Bestandteil von `java.awt`.
Dieser Konstruktor wurde von JBuilder 2 immer dann verwendet, wenn ein `GridBagConstraints` erzeugt werden musste.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.GridBagConstraints
`anchor, BOTH, CENTER, EAST, fill, FIRST_LINE_END, FIRST_LINE_START, gridheight, gridwidth, gridx, gridy, HORIZONTAL, insets, ipadx, ipady, LAST_LINE_END, LAST_LINE_START, LINE_END, LINE_START, NONE, NORTH, NORTHEAST, NORTHWEST, PAGE_END, PAGE_START, RELATIVE, REMAINDER, SOUTH, SOUTHEAST, SOUTHWEST, VERTICAL, weightx, weighty, WEST`

Constructor Summary
`GridBagConstraints2(int gridx, int gridy, int gridwidth, int gridheight, double weightx, double weighty, int anchor, int fill, java.awt.Insets insets, int ipadx, int ipady)` Constructor declaration

Method Summary
`java.lang.String` | `toString()` Method declaration

Methods inherited from class java.awt.GridBagConstraints
`clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GridBagConstraints2

    public GridBagConstraints2(int gridx,
                               int gridy,
                               int gridwidth,
                               int gridheight,
                               double weightx,
                               double weighty,
                               int anchor,
                               int fill,
                               java.awt.Insets insets,
                               int ipadx,
                               int ipady)

  Constructor declaration

Parameters:
  `gridx` -
  `gridy` -
  `gridwidth` -
  `gridheight` -
  `weightx` -
  `weighty` -
  `anchor` -
  `fill` -
  `insets` -
  `ipadx` -
  `ipady` -

Method Detail

### toString

    public java.lang.String toString()

  Method declaration

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
  See Also:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD